import 'package:flutter/material.dart';

import 'main_screen.dart';
import '../widgets/app_bar.dart';

class SkeletonScreen extends StatefulWidget {
  const SkeletonScreen({super.key});

  @override
  State<SkeletonScreen> createState() => _SkeletonScreenState();
}

class _SkeletonScreenState extends State<SkeletonScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: StandardAppBar(notifyParent: refresh),
      extendBodyBehindAppBar: true,
      body: const MainScreen(),
      backgroundColor: Theme.of(context).colorScheme.background,
    );
  }

  refresh() {
    void rebuild(Element el) {
      el.markNeedsBuild();
      el.visitChildren(rebuild);
    }

    (context as Element).visitChildren(rebuild);
  }
}
